<?php
if ($jeniscetak == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=daftar.xls");
}
?>
<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>
        <div>
            <p style="text-align: center;">
                <span style="font-size: 12pt; font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?></span>
                <br>
                <span style="font-size: 12pt; font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)</span><br>
                <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
            </p>
            <hr style="height: 2px; color: black; margin-top: 0px; margin-bottom: 0px">
            <hr style="height: 1px; color: black; margin-top: 2px; margin-bottom: 0px">
            <h4 style="text-align: center">DAFTAR KETETAPAN DAN SETORAN</h4>
            <table width="100%" class="font_sembilan" style="border-collapse: collapse" cellpadding="2" cellspacing="2">
                <thead>
                <tr style="background: #ebe8eb;">
                    <td rowspan="2" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">No.</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">WP</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">OP</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Kecamatan</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Kelurahan</td>
                    <td colspan="12" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Periode Pajak</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Total (Rp.)</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Piutang (Rp.)</td>
                </tr>
                <tr style="background: #ebe8eb">
                    <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Desember</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Januari</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Februari</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Maret</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">April</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Mei</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Juni</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Juli</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Agustus</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">September</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Oktober</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">Nopember</td>
                </tr>
                </thead>
                <?php
                $counter = 1;
                foreach ($this->data_daftar as $k => $v) {
                    ?>
                    <tr>
                        <td rowspan="2" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;">
                            <?= $counter ?>
                        </td>
                        <td rowspan="2" style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;">
                            <?= $v['t_namawp'] ?> <br>
                            <?= $v['t_npwpdwp'] ?><br>
                            No. Telp : <?= $v['t_notelpwp'] ?><br>
                            No. Hp : <?= $v['t_nohpwp'] ?>
                        </td>
                        <td rowspan="2" style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;">
                            <?= $v['t_namaobjek'] ?><br>
                            <?= $v['t_nop'] ?><br>
                            No. Telp : <?= $v['t_notelpobjek'] ?><br>
                            No. Hp : <?= $v['t_nohpobjek'] ?>
                        </td>
                        <td rowspan="2" style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;">
                            <?= $v['s_namakec'] ?>
                        </td>
                        <td rowspan="2" style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;">
                            <?= $v['s_namakel'] ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_des'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_jan'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_feb'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_mar'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_apr'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_mei'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_jun'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_jul'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_agu'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_sep'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_okt'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['data_nov'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?php $total_data = $v['data_jan'] + $v['data_feb'] + $v['data_mar'] + $v['data_apr'] + $v['data_mei'] + $v['data_jun'] + $v['data_jul'] + $v['data_agu'] + $v['data_sep'] + $v['data_okt'] + $v['data_nov'] + $v['data_des'] ?>
                            <?php $total_bayar = $v['bayar_jan'] + $v['bayar_feb'] + $v['bayar_mar'] + $v['bayar_apr'] + $v['bayar_mei'] + $v['bayar_jun'] + $v['bayar_jul'] + $v['bayar_agu'] + $v['bayar_sep'] + $v['bayar_okt'] + $v['bayar_nov'] + $v['bayar_des'] ?>
                            <?= number_format($total_data, 0, ',', '.') ?>
                        </td>
                        <td rowspan="2" style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($total_data - $total_bayar, 0, ',', '.') ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_des'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_jan'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_feb'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_mar'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_apr'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_mei'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_jun'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_jul'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_agu'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_sep'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_okt'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($v['bayar_nov'], 0, ',', '.') ?>
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right;">
                            <?= number_format($total_bayar, 0, ',', '.') ?>
                        </td>
                    </tr>
                    <?php
                    $counter++;
                }
                ?>
            </table>
        </div>
    </body>
</html>